#ifdef GL_ES
precision mediump float;
#endif
 
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform float RightUpMove;
uniform sampler2D GuangIameTexture;

 
void main(void)
{
	vec4 color1 = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
	
	if(color1.a == 0.0)
	{
		gl_FragColor = color1;
	}
	else
	{
		vec4 color2 = vec4(0.0, 0.0, 0.0, 0.0); 
		vec2 texCoord = v_texCoord + vec2(1.0, -1.0) + vec2(-RightUpMove, RightUpMove);
		if(texCoord.x >= 0.0 && texCoord.x <= 1.0)
		{
			color2 = texture2D(GuangIameTexture, texCoord);
		}
		
		gl_FragColor = vec4(min(color1.r + color2.r, 1.0), min(color1.g + color2.g, 1.0), 
						min(color1.b + color2.b, 1.0), min(color1.a + color2.a, 1.0));
	}
}
